//
// https://www.ramecera.it/myscrewdriver.html
// e-mail: screwdriver@ramecera.it
//
/* This program and the accompanying materials are made available under
 * the terms of the Eclipse Public License v1.0 which accompanies this
 * distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html */
package it.ramecera.salad.analysis;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * Property of a Java class.
 * </p>
 * <p>
 * Creation date: 2020-04-09<br>
 * modification date: 2020-04-09<br>
 * Company: Ramecera™
 * </p>
 * <p>
 * Modifications:<br>
 * </p>
 * 
 * @author M. Maglioni */
public class JavaMethod {
	/** visibility: public = 3, protected = 2, default = 0, private =
	 * 1 */
	public int fvisibilita;
	/** if it is abstract */
	public boolean fabstract;
	/** if it is final */
	public boolean ffinal;
	/** if it is static */
	public boolean fstatic;
	/** raw content n. 0 */
	public String grezzo0;
	/** raw content n. 1 */
	public String row1;
	/** name of the method */
	public String fnome;
	/** elementary type returned */
	public String fprimitivo;
	/** type returned */
	public String fclasse;
	/** the source code, list of instructions without the semicolon */
	public List<String> istruzioneE = new ArrayList<String>();
	/** line containing the method name */
	public String testata;
}
