//
// https://www.ramecera.it/myscrewdriver.html
// e-mail: screwdriver@ramecera.it
//
/* This program and the accompanying materials are made available under
 * the terms of the Eclipse Public License v1.0 which accompanies this
 * distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html */
package it.ramecera.salad.everyday;

/**
 * <p>
 * Bean container for a string and an integer.
 * </p>
 * <p>
 * Company: Ramecera™<br>
 * Creation date: 2020-04-09<br>
 * Last updated: 2020-04-09
 * </p>
 * <p>
 * Changes:<br>
 * </p>
 * 
 * @author M. Maglioni */
public class StringInt {

	/** a string */
	public String s;
	/** a number */
	public int i;

	/** default constructor */
	public StringInt() {
	}

	/**
	 * <p>
	 * Standard constructor.
	 * </p>
	 * <p>
	 * Creation date: 2020-04-09<br>
	 * Last updated: 2020-04-09
	 * </p>
	 * <p>
	 * Changes:<br>
	 * </p>
	 * 
	 * @param s the string
	 * @param i the integer */
	public StringInt(final String s, final int i) {
		this.s = s;
		this.i = i;
	}
}
